Subject: Re: bug#46859: 28.0.50; [PATCH]: Add option to truncate long lines in xref.el
From: Dmitry Gutov <[email-masked]>
To: Theodor Thornhill <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 18 May 2021 03:39:53 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

On 17.05.2021 19:57, Theodor Thornhill wrote:
> Hi and sorry for the late reply,
> 
>> I was looking for some user experience feedback (with possible subsequent tweaks, etc), but the current behavior is indeed annoying enough to install this anyway.
> 
> Agreed. When testing I found it to be a nice improvement.

Very good.

I've pushed an updated version in d83db639d3:

- It make sure not to hide the line number with the ellipsis anymore.
- The option was renamed to xref-truncation-width.
- It can be set to nil to disable the feature.

Please try the new version when you have the time.